Skip to content
Kapten
Esc
↑↓navigate↵open⌘Jpreview

Get token verification keys

Returns the public keys that verify access tokens, including retired keys whose tokens have not expired yet.

GET/.well-known/jwks.json
Responses
200

The JSON Web Key Set.

keysjwk[]required
Show properties
Array of jwk
ktystringrequired
Allowed:EC
crvstringrequired
Allowed:P-256
xstringrequired

Base64url-encoded x coordinate.

ystringrequired

Base64url-encoded y coordinate.

kidstringrequired
usestringrequired
Allowed:sig
algstringrequired
Allowed:ES256
Request
curl -X GET 'https://auth.kapten.io/.well-known/jwks.json' \
  -H 'Accept: application/json'
Response
{
  "keys": [
    {
      "kty": "EC",
      "crv": "P-256",
      "x": "string",
      "y": "string",
      "kid": "string",
      "use": "sig",
      "alg": "ES256"
    }
  ]
}

Was this page helpful?